let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteWallAssetApi = async (
    projectId: string,
    versionId: string,
    modelUuid: string,
    wallUuid: string,
) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/V1/delete/wallasset`, {
            method: "PATCH",
            headers: {
                Authorization: "Bearer <access_token>",
                "Content-Type": "application/json",
                token: localStorage.getItem("token") || "",
                refresh_token: localStorage.getItem("refreshToken") || "",
            },
            body: JSON.stringify({ projectId, versionId, modelUuid, wallUuid }),
        });

        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }

        if (!response.ok) {
            console.error("Failed to delete wall asset:", response.statusText);
        }

        const result = await response.json();
        return result;
    } catch (error) {
        echo.error("Failed to delete wall asset");
        if (error instanceof Error) {
            console.log(error.message);
        } else {
            console.log("An unknown error occurred");
        }
    }
};
